Subject: Re: bug#18324: plots hang in inferior octave mode

From: Leo Liu <[email-masked]>
Date: Wed, 27 Aug 2014 13:35:28 +0800

On 2014-08-27 00:14 -0400, Glenn Morris wrote:
> 1) Plots also hang in 24.3 (after setting prompt as per
> https://savannah.gnu.org/bugs/?41099 to make it work at all).
>
> 2) Plots also hang in standalone octave if one does eg
> ls -l /usr/bin and leaves it at the pager.
> Ref: https://cygwin.com/ml/cygwin/2013-02/msg00302.html
>
> 3) The flags --line-editing -i seem to be there by default now and do not help.
> Ref: https://lists.gnu.org/archive/html/help-emacs-windows/2012-10/msg00035.html

Thanks for these points. I at one point tried to reduce
inferior-octave-startup-args to nil but there were (performance?)
problems. I forgot where it was discussed.

I can reproduce the hang with "octave --no-gui --no-line-editing" in a
terminal outside emacs.

Best, Leo